Don't send email notifications upon translation review
Closed, ResolvedPublic

Description

It's a bit excessive to send an enotif for each translation review of a message in your watchlist: it potentially means to receive an email for each edit performed. It's useful to look into it if you translation was incorrect (and why), less if it was correct.
It could be an additional preference, but as far as I know recent changes patrol and flagged revisions actions (which apply to single revision/edits too) don't trigger any.


Version: unspecified
Severity: normal

bzimport set Reference to bz34153.
Nemo_bis created this task.Via LegacyFeb 2 2012, 10:34 AM
bzimport added a comment.Via ConduitDec 9 2012, 4:40 PM

sumanah wrote:

Dan, do you feel like taking a crack at this?

Nikerabbit added a comment.Via ConduitDec 9 2012, 9:39 PM

Created attachment 11483
Ugly hack

Here is a patch I've been using in translation sprints. Of course it is not good enough as-is for merge.

Attached: file_34153.txt

bzimport added a comment.Via ConduitDec 10 2012, 4:43 AM

dnessett wrote:

(In reply to comment #1)

Dan, do you feel like taking a crack at this?

No, sorry. I am no longer active in MW development, having dramatically reduced the amount of time I contribute to CZ (which was the reason I worked on MW bugs in the first place) in order to spend more time on other interests.

Nemo_bis added a comment.Via ConduitSep 15 2013, 6:11 PM
  • Bug 54142 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitMay 10 2014, 8:59 AM

Change 132615 had a related patch set uploaded by Nemo bis:
Don't send email notifications upon translation review

https://gerrit.wikimedia.org/r/132615

gerritbot added a comment.Via ConduitJun 19 2014, 9:04 AM

Change 132615 merged by jenkins-bot:
Don't send email notifications upon translation review

https://gerrit.wikimedia.org/r/132615

Nemo_bis added a comment.Via ConduitJun 19 2014, 9:05 AM

Approved! Hopefully enotif users will stop hating us. :D

Nemo_bis added a comment.Via ConduitJun 19 2014, 9:10 PM
  • Bug 66335 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.